## brightnessctl 0.3.1

=== Makefile ===
VERSION = 0.3.1
CFLAGS += -std=c99 -g -Wall -Wextra -DVERSION=\"${VERSION}\" -D_POSIX_C_SOURCE=200809L
LDLIBS = -lm

PREFIX ?= /usr
BINDIR = ${DESTDIR}${PREFIX}/bin

INSTALL_UDEV_RULES = 0

INSTALL_UDEV_1 = install_udev_rules
UDEVDIR ?= /lib/udev/rules.d

MODE_0 = 4711
MODE_1 = 0755
MODE = ${MODE_${INSTALL_UDEV_RULES}}

all: brightnessctl

install: brightnessctl ${INSTALL_UDEV_${INSTALL_UDEV_RULES}}
	install -d ${BINDIR}
	install -m ${MODE} brightnessctl ${BINDIR}/

install_udev_rules:
	install -d ${DESTDIR}${UDEVDIR}
	install -m 0644 90-brightnessctl.rules ${DESTDIR}${UDEVDIR}

clean:
	rm -f brightnessctl

.PHONY: all install clean

## brightnessctl 0.3

=== debian/changelog ===
brightnessctl (0.3-1) unstable; urgency=low

  * Initial release. (Closes: #880006)

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 28 Oct 2017 09:59:41 +0200

=== debian/control ===
Source: brightnessctl
Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.1.1
Homepage:    https://github.com/Hummer12007/brightnessctl
Vcs-Browser: https://github.com/nbraud/brightnessctl
Vcs-Git:     https://github.com/nbraud/brightnessctl.git

Package: brightnessctl
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: brightness-udev
Description: Control backlight brightness
 brightnessctl is a small utility to control the brightness
 of a screen's backlight.
 .
 This package contains the brightnessctl utility itself.

Package: brightness-udev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Control backlight brightness - udev rules
 brightnessctl is a small utility to control the brightness
 of a screen's backlight.
 .
 This package contains udev rules allowing unprivileged users
 to set the brightness without resorting to a suid binary.

## brightnessctl 0.3.1

=== debian/changelog ===
brightnessctl (0.3.1-1) unstable; urgency=medium

  * New upstream version (2018-01-19)
    * Allow specifying device name as a wildcard
    * Remove Debian patches merged upstream

  * Add brightnessctl(1) manpage
  * Declare compliance with policy version 4.1.3
    No change required
  * Move packaging repository to salsa.d.o
  * Switch to debhelper 11

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Mon, 22 Jan 2018 21:18:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1.1
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.3
 Homepage:    https://github.com/Hummer12007/brightnessctl
-Vcs-Browser: https://github.com/nbraud/brightnessctl
-Vcs-Git:     https://github.com/nbraud/brightnessctl.git
+Vcs-Browser: https://salsa.debian.org/debian/brightnessctl
+Vcs-Git:     https://salsa.debian.org/debian/brightnessctl
 
 Package: brightnessctl
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- INSTALL_UDEV_RULES=1

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/brightnessctl-$1\.tar\.gz/ \
  https://github.com/Hummer12007/brightnessctl/releases .*/v?(\d\S+)\.tar\.gz

## brightnessctl 0.3.2

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 PREFIX ?= /usr
 BINDIR = ${DESTDIR}${PREFIX}/bin
+MANDIR = ${DESTDIR}${PREFIX}/share/man
 
 INSTALL_UDEV_RULES = 0
 
@@ -14,11 +15,12 @@
 MODE_1 = 0755
 MODE = ${MODE_${INSTALL_UDEV_RULES}}
 
-all: brightnessctl
+all: brightnessctl brightnessctl.1
 
-install: brightnessctl ${INSTALL_UDEV_${INSTALL_UDEV_RULES}}
-	install -d ${BINDIR}
-	install -m ${MODE} brightnessctl ${BINDIR}/
+install: all ${INSTALL_UDEV_${INSTALL_UDEV_RULES}}
+	install -d ${BINDIR} ${MANDIR}/man1
+	install -m ${MODE} brightnessctl   ${BINDIR}/
+	install -m 0644    brightnessctl.1 ${MANDIR}/man1
 
 install_udev_rules:
 	install -d ${DESTDIR}${UDEVDIR}

=== debian/changelog ===
brightnessctl (0.3.2-1) unstable; urgency=medium

  * New upstream version (2018-01-24)
    The only changes are the inclusion of the manpage upstream,
    along with manpage improvements credited to Drew DeVault.

  * debian/control:
    - Declare compliance with policy version 4.1.4.
      No change required.
    - Use a canonical Vcs-Git URI

  * debian/rules: Drop a superfluous dh argument

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Mon, 30 Apr 2018 14:08:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Section: misc
 Priority: optional
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage:    https://github.com/Hummer12007/brightnessctl
 Vcs-Browser: https://salsa.debian.org/debian/brightnessctl
-Vcs-Git:     https://salsa.debian.org/debian/brightnessctl
+Vcs-Git:     https://salsa.debian.org/debian/brightnessctl.git
 
 Package: brightnessctl
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- INSTALL_UDEV_RULES=1

## brightnessctl 0.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.3.1
+VERSION = 0.4
 CFLAGS += -std=c99 -g -Wall -Wextra -DVERSION=\"${VERSION}\" -D_POSIX_C_SOURCE=200809L
 LDLIBS = -lm
 
@@ -6,7 +6,7 @@
 BINDIR = ${DESTDIR}${PREFIX}/bin
 MANDIR = ${DESTDIR}${PREFIX}/share/man
 
-INSTALL_UDEV_RULES = 0
+INSTALL_UDEV_RULES = 1
 
 INSTALL_UDEV_1 = install_udev_rules
 UDEVDIR ?= /lib/udev/rules.d

=== debian/changelog ===
brightnessctl (0.4-2) unstable; urgency=medium

  * Apply patch for correct exit code in quiet mode (Closes: #932565)
    Many thanks to Antoni Villalonga for reporting the bug and writing a patch.

  * debian/control: Declare compliance with policy v4.4.0
    No change needed

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Tue, 30 Jul 2019 18:38:08 +0200

brightnessctl (0.4-1) unstable; urgency=medium

  [Nicolas Braud-Santoni]
  * New upstream release (2018-09-04)
    + Obey XDG_RUNTIME_DIR for temporary directory

  * Update for Debian Policy v4.3.0
    + debian/control: Set Rules-Requires-Root to no

  * debian/control: Update maintainer email address  \o/

  * debian/rules
    + Make dh_missing fail the build
    + Stop overriding auto_install

  [Ondřej Nový]
  * debian/copyright: Use https protocol in Format field

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Thu, 07 Feb 2019 20:51:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: brightnessctl
-Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage:    https://github.com/Hummer12007/brightnessctl
 Vcs-Browser: https://salsa.debian.org/debian/brightnessctl
 Vcs-Git:     https://salsa.debian.org/debian/brightnessctl.git
+Rules-Requires-Root: no
 
 Package: brightnessctl
 Architecture: any

## brightnessctl 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.4
+VERSION = 0.5
 CFLAGS += -std=c99 -g -Wall -Wextra -DVERSION=\"${VERSION}\" -D_POSIX_C_SOURCE=200809L
 LDLIBS = -lm
 
@@ -15,6 +15,14 @@
 MODE_1 = 0755
 MODE = ${MODE_${INSTALL_UDEV_RULES}}
 
+ifdef ENABLE_SYSTEMD
+	CFLAGS += ${shell pkg-config --cflags libsystemd}
+	LDLIBS += ${shell pkg-config --libs libsystemd}
+	CPPFLAGS += -DENABLE_SYSTEMD
+	INSTALL_UDEV_RULES=0
+	MODE = 0755
+endif
+
 all: brightnessctl brightnessctl.1
 
 install: all ${INSTALL_UDEV_${INSTALL_UDEV_RULES}}

=== debian/changelog ===
brightnessctl (0.5.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Delegate placement of udev files to udev.pc (Closes: #1057229)

  [ Debian Janitor ]
  * Strip unusual field spacing from debian/control.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Set upstream metadata fields: Repository.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 15 Dec 2023 00:43:14 +0100

brightnessctl (0.5.1-3) unstable; urgency=low

  * brightness-udev
    + Do not print the name of devices in postinst
    + Use external helper to avoid errors on certain hardware
      Closes: #970849

  * Switch to debhelper 13
  * d/control: Declare compliance with policy v4.5.1. No change required.
  * d/changelog: Update maintainer's name and email address

 -- nicoo <nicoo@debian.org>  Mon, 30 Nov 2020 16:06:43 +0100

brightnessctl (0.5.1-2) unstable; urgency=medium

  * brightness-udev: Trigger udev rules post installation.
    Thanks to Samuel Henrique for the suggestion and feedback.

  * Update authorship information

 -- nicoo <nicoo@debian.org>  Mon, 17 Feb 2020 13:59:31 +0100

brightnessctl (0.5.1-1) unstable; urgency=medium

  * New upstream release (2020-02-02)
    * Added exponential brightness scaling
    * Support for systemd/logind
    * Remove obsoleted patches (merged upstream)
    * Update debian/copyright

  * debian/control: Declare compliance with policy v4.5.0
    No change required.
  * Upgrade to dh compatibility level 12
    Switch to B-D: debhelper-compat instead of the legacy debian/compat.
  * debian/watch: Switch to using uscan's git mode
  * git-buildpackage: Enable pristine-tar support
    This ensures people building the package will get the same orig tarball.

 -- nicoo <nicoo@debian.org>  Wed, 12 Feb 2020 12:21:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: brightnessctl
-Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
+Maintainer: nicoo <nicoo@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.4.0
-Homepage:    https://github.com/Hummer12007/brightnessctl
+Build-Depends: debhelper-compat (= 13), systemd-dev, pkgconf
+Standards-Version: 4.6.2
+Homepage: https://github.com/Hummer12007/brightnessctl
 Vcs-Browser: https://salsa.debian.org/debian/brightnessctl
-Vcs-Git:     https://salsa.debian.org/debian/brightnessctl.git
+Vcs-Git: https://salsa.debian.org/debian/brightnessctl.git
 Rules-Requires-Root: no
 
 Package: brightnessctl

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export deb_udevdir = $(shell pkg-config --variable=udevdir udev)
# for Makefile
export UDEVDIR = ${deb_udevdir}/rules.d

%:
	dh $@
